## python-pattern 2.6+git20150109

=== pattern/web/pdf/cmap/Makefile ===
# Makefile for pdfminer.cmap

all:

clean:
	-rm *.pyc *.pyo

cmap_clean:
	rm -f *.pickle.gz
