=== debian/changelog ===
python-pattern (2.6+git20150109-2) unstable; urgency=medium

  * Don't call run-tests when building the package. Closes: #834919

 -- Miriam Ruiz <miriam@debian.org>  Thu, 17 Nov 2016 18:30:43 +0100

python-pattern (2.6+git20150109-1) unstable; urgency=low

  * New release. Closes: #824052

 -- Miriam Ruiz <miriam@debian.org>  Thu, 12 May 2016 18:55:30 +0200
