=== debian/control ===
Source: python-pattern
Section: python
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper (>= 9), quilt, python-all, python-setuptools, dh-python,
 python-liblinear, python-libsvm, python-feedparser, python-beautifulsoup,
 python-simplejson, python-pdfminer, python-numpy, wordnet-base
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
Homepage: http://www.clips.ua.ac.be/pages/pattern
Vcs-Git: git://git.debian.org/collab-maint/python-pattern.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pattern.git;a=summary

Package: python-pattern
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
 python-liblinear, python-libsvm, python-feedparser, python-beautifulsoup,
 python-simplejson, python-pdfminer, python-numpy, wordnet-base
Description: web mining module for Python
 Pattern is a web mining module for the Python programming language. It has
 tools for data mining (Google, Twitter and Wikipedia API, a web crawler,
 a HTML DOM parser), natural language processing (part-of-speech taggers,
 n-gram search, sentiment analysis, WordNet), machine learning (vector space
 model, clustering, SVM), network analysis and <canvas> visualization.
 .
 The module is free, well-document and bundled with 50+ examples and
 350+ unit tests.
