## python-pattern 2.6+git20180818

=== debian/changelog ===
python-pattern (2.6+git20180818-2) unstable; urgency=medium

  * Removed python2-minimal from Build-Depends. Closes: #938006
  * Making a source-only upload. Closes: #946760

 -- Miriam Ruiz <miriam@debian.org>  Tue, 28 Jan 2020 23:43:21 +0100

python-pattern (2.6+git20180818-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * Added some patches from the upstream development branches
  * Added binary package for Python 3: python3-pattern
  * Removed binary package for Python 2: python-pattern. Closes: #938006
  * Upgraded Standards-Version from 4.2.1.1 to 4.4.1.1

 -- Miriam Ruiz <miriam@debian.org>  Sun, 24 Nov 2019 06:51:17 +0100

python-pattern (2.6+git20150109-3) unstable; urgency=medium

  * Replace python-beautifulsoup with python-bs4. Closes: #891099
  * Upgraded Standards-Version from 3.9.8 to 4.2.1.1

 -- Miriam Ruiz <miriam@debian.org>  Sun, 07 Oct 2018 05:02:13 +0200
