=== debian/control ===
Source: python-pattern
Section: python
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper (>= 9), quilt, wordnet-base, dh-python, python3-minimal,
 python3-all, python3-setuptools, python3-future,
 python3-liblinear, python3-nltk, python3-lxml, python3-pdfminer,
 python3-bs4, python3-feedparser, python3-simplejson, python3-requests,
 python3-numpy, python3-scipy, python3-cherrypy3, wordnet-base
Standards-Version: 4.4.1.1
Homepage: http://www.clips.ua.ac.be/pages/pattern

Package: python3-pattern
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-liblinear, python3-feedparser, python3-bs4, python3-nltk,
 python3-simplejson, python3-numpy, python3-scipy, python3-requests,
 wordnet-base
Recommends: python3-pdfminer
Description: web mining module for Python 3
 Pattern is a web mining module for the Python programming language. It has
 tools for data mining (Google, Twitter and Wikipedia API, a web crawler,
 a HTML DOM parser), natural language processing (part-of-speech taggers,
 n-gram search, sentiment analysis, WordNet), machine learning (vector space
 model, clustering, SVM), network analysis and <canvas> visualization.
 .
 The module is free, well-document and bundled with 50+ examples and
 350+ unit tests.
